﻿$tools = Split-Path $MyInvocation.MyCommand.Definition
$package = Split-Path $tools
$sc_home = Join-Path $package 'schemacrawler-15.04.01-distribution'
$sc_bat = Join-Path $sc_home '_schemacrawler/schemacrawler.cmd'


Install-ChocolateyZipPackage `
    -PackageName 'schemacrawler' `
    -Url 'https://github.com/schemacrawler/SchemaCrawler/releases/download/v15.04.01/schemacrawler-15.04.01-distribution.zip' `
    -Checksum '866ded8c017fe89e2e8db46a571b043caa53d6bbeb773eb53862894081e4bfe8519c225324ecb3955127676912af038a0d5d4b327cf220d93f98c8c45fb08ec8' `
    -ChecksumType 'SHA512' `
    -UnzipLocation $package

Install-ChocolateyEnvironmentVariable `
    -VariableName 'SC_HOME' `
    -VariableValue $sc_home `
    -VariableType 'Machine'


Install-BinFile -Name 'schemacrawler' -Path $sc_bat

Update-SessionEnvironment
